Get project incidents
curl --request GET \
--url https://api.justanotheruptime.com/projects/{id}/incidents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.justanotheruptime.com/projects/{id}/incidents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.justanotheruptime.com/projects/{id}/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"status": "<string>",
"severity": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"monitor": {
"id": "<string>",
"name": "<string>",
"url": "<string>"
},
"resolvedAt": "2023-11-07T05:31:56Z"
}
]Projects
Get project incidents
Get list of incidents for a project with optional status filter
GET
/
projects
/
{id}
/
incidents
Get project incidents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Project ID
Query Parameters
Filter incidents by status
Available options:
active, resolved Number of incidents to return
Response
Project incidents
Incident ID
Incident title
Incident description
Current incident status
Incident severity
When incident was created
Associated monitor
Show child attributes
Show child attributes
When incident was resolved